export declare class XDatatableFilterItem {
    /**
     * Filter item value
     */
    value: string;
    /**
     * Filter is selected
     */
    selected: boolean;
    /**
     * Component element
     */
    el: HTMLElement;
    /**
     * On click in item
     */
    handleClick(): void;
    /**
     * On component will load action
     */
    connectedCallback(): void;
    /**
     * Render element
     */
    render(): any;
}
